require "Insurgent/Traits/LoadoutMarksmanTrait"

LoadoutMarksmanTrait.description  = getText("UI_trait_LoadoutMarksmanDesc_VFE_VERSION")

function LoadoutMarksmanTrait.OnNewGame(player)
    if not player:HasTrait("LoadoutMarksman") then
        return
    end

    local weapon = InsurgentWeaponUtil.addWeapon(player, "GWP.PSG1", {"Base.x8Scope", "Base.RecoilPad", "Base.Laser"})
    InsurgentWeaponUtil.addMags(player, "GWP.HK308Mag", 8)
    InsurgentWeaponUtil.equipAndFullyLoadWeapon(player, weapon, "GWP.HK308Mag")
end
